Skip to main content

Broker Withdraw (for brokers of local entities that require travel rule) (USER_DATA)

API Description​

Submit a withdrawal request for brokers of local entities that required travel rule.

HTTP Request​

POST /sapi/v1/localentity/broker/withdraw/apply

Request Weight(UID)​

600

Request Parameters​

NameTypeMandatoryDescription
addressSTRINGYES
addressTagSTRINGNOSecondary address identifier for coins like XRP,XMR etc.
networkSTRINGNO
coinSTRINGYES
addressNameSTRINGNODescription of the address. Address book cap is 200, space in name should be encoded into %20
amountBigDECIMALYES
withdrawOrderIdSTRINGYESwithdrawID defined by the client (i.e. client's internal withdrawID)
transactionFeeFlagBOOLEANNOWhen making internal transfer, true for returning the fee to the destination account; false for returning the fee back to the departure account. Default false.
walletTypeINTEGERNOThe wallet type for withdraw,0-spot wallet ,1-funding wallet. Default walletType is the current "selected wallet" under wallet->Fiat and Spot/Funding->Deposit
questionnaireSTRINGYESJSON format questionnaire answers.
originatorPiiSTRINGYESJSON format originator Pii, see StandardPii section below
timestampLONGYES
signatureSTRINGYESMust be the last parameter.
  • If network not send, return with default network of the coin, but if the address could not match default network, the withdraw will be rejected.
  • You can get network in networkList of a coin in the response of Get /sapi/v1/capital/config/getall (HMAC SHA256).
  • Questionnaire is different for each local entity, please refer to the Withdraw Questionnaire Contents page.
  • If getting error like Questionnaire format not valid. or Questionnaire must not be blank, please try to verify the format of the questionnaire and use URL-encoded format.

StandardPii​

For Natural Person

NameTypeMandatoryDescription
piiTypeINTEGERYESFix to 0: Natural Person
latinNamesListYESIn case a person have complicated names or multiple names, this parameter is a list
localNamesListNOIn case a person have complicated names or multiple names, this parameter is a list
nationalitySTRINGNO
residenceCountrySTRINGYES
nationalIdentifierSTRINGNO
nationalIdentifierTypeSTRINGNO
nationalIdentifierIssueCountrySTRINGNO
dateOfBirthSTRINGNOyyyy-mm-dd. Not required but strongly recommended. Providing DOB could greatly reduce false positive rate during risk checking process.
placeOfBirthSTRINGNO
addressSTRINGNO

For Legal Person

NameTypeMandatoryDescription
piiTypeINTEGERYESFix to 1: Legal Person
latinNameSTRINGYESIt's company name for Legal Person
localNameSTRINGNO
registrationCountrySTRINGYES
nationalIdentifierSTRINGNO
nationalIdentifierTypeSTRINGNO
nationalIdentifierIssueCountrySTRINGNO
registrationDateSTRINGNOyyyy-mm-dd. Not required but strongly recommended.
addressSTRINGNO
walletAddressSTRINGNO
walletTagSTRINGNO

PiiName

NameTypeMandatoryDescription
firstNameSTRINGYESMandatory for Natural person
middleNameSTRINGNO
lastNameSTRINGNO

Response Example​

{
"trId": 123456, // The travel rule record Id
"accepted": true, // Whether the withdraw request is accepted
"info": "Withdraw request accepted" // The detailed infomation of the withdrawal result.
}